RefreshFailedException (Java Platform SE 8 )
Keywords: javax.security.auth.RefreshFailedException class
Date: 2018-03-02

compact1, compact2, compact3
javax.security.auth

## Class RefreshFailedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.security.auth.RefreshFailedException

- All Implemented Interfaces:
    Serializable

      public class RefreshFailedException
      extends Exception

  Signals that a `refresh` operation failed.

  This exception is thrown by credentials implementing the `Refreshable` interface when the `refresh` method fails.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RefreshFailedException()` Constructs a RefreshFailedException with no detail message.
    `RefreshFailedException(String msg)` Constructs a RefreshFailedException with the specified detail message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RefreshFailedException

          public RefreshFailedException()

      Constructs a RefreshFailedException with no detail message. A detail message is a String that describes this particular exception.

    - #### RefreshFailedException

          public RefreshFailedException(String msg)

      Constructs a RefreshFailedException with the specified detail message. A detail message is a String that describes this particular exception.

      Parameters:
        `msg` - the detail message.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2018, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.